require 'ruser'
require 'spec_helper'

# Gender Health Test
# Verifies that we can receive a valid person with a gender field,
# and that the schema has not changed.
describe 'Gender' do
  it 'should be a male user' do
    user = RUser.new(gender: 'male')
    expect(user.gender).to eq('male')
  end

  it 'should be a female user' do
    user = RUser.new(gender: 'female')
    expect(user.gender).to eq('female')
  end

  it 'should be a gendered user' do
    user = RUser.new
    expect(user.gender).to be_instance_of(String)
  end
end
