require 'ruser'
require 'spec_helper'

# Seed Health Test
# Verifies that we can receive a valid user with a specific seed and that the
# schema has not changed.
describe 'Seed' do
  before do
    @user = RUser.new(seed: '73ee20ff00e034b404')
  end

  it 'should have a reusable seed' do
    expect(@user.seed).to be_instance_of(String)
  end

  it 'should have the first name carol' do
    expect(@user.first_name).to eql('carol')
  end

  it 'should have the last name williamson' do
    expect(@user.last_name).to eql('williamson')
  end

  it 'should be a female user' do
    expect(@user.gender).to eql('female')
  end

  it 'should have the seed 73ee20ff00e034b404' do
    expect(@user.seed).to eql('73ee20ff00e034b404')
  end
end
