require 'ruser'
require 'spec_helper'

# User Health Test
# Verifies that we can receive a valid user and that the schema has not changed.
describe 'User' do
  before do
    @user = RUser.new
  end

  it 'should have a gender' do
    expect(@user.gender).to be_instance_of(String)
  end

  it 'should have a title' do
    expect(@user.title).to be_instance_of(String)
  end

  it 'should have a first name' do
    expect(@user.first_name).to be_instance_of(String)
  end

  it 'should have a last name' do
    expect(@user.last_name).to be_instance_of(String)
  end

  it 'should have a street address' do
    expect(@user.street).to be_instance_of(String)
  end

  it 'should have a city' do
    expect(@user.city).to be_instance_of(String)
  end

  it 'should have a state' do
    expect(@user.state).to be_instance_of(String)
  end

  it 'should have a zip or postal code' do
    expect(@user.postal).to be_instance_of(String)
  end

  it 'should have an email' do
    expect(@user.email).to be_instance_of(String)
  end

  it 'should have a username' do
    expect(@user.username).to be_instance_of(String)
  end

  it 'should have a password' do
    expect(@user.password).to be_instance_of(String)
  end

  it 'should have a password salt' do
    expect(@user.salt).to be_instance_of(String)
  end

  it 'should have a md5 hash of the password' do
    expect(@user.md5).to be_instance_of(String)
  end

  it 'should have a sha1 hash of the password' do
    expect(@user.sha1).to be_instance_of(String)
  end

  it 'should have a sha256 hash of the password' do
    expect(@user.sha256).to be_instance_of(String)
  end

  it 'should have a registration date' do
    expect(@user.registered).to be_instance_of(Fixnum)
  end

  it 'should have a date of birth' do
    expect(@user.dob).to be_instance_of(Fixnum)
  end

  it 'should have a phone number' do
    expect(@user.phone).to be_instance_of(String)
  end

  it 'should have a cell phone number' do
    expect(@user.cell).to be_instance_of(String)
  end

  it 'should have a national Id number' do
    expect(@user.nidn).to be_instance_of(String)
  end

  it 'should have a national Id type' do
    expect(@user.nidt).to be_instance_of(String)
  end

  it 'should have a large profile photo url' do
    expect(@user.profile_large_url).to be_instance_of(String)
  end

  it 'should have a medium profile photo url' do
    expect(@user.profile_medium_url).to be_instance_of(String)
  end

  it 'should have a thumbnail profile photo url' do
    expect(@user.profile_thumbnail_url).to be_instance_of(String)
  end

  it 'should have a nationality' do
    expect(@user.nationality).to be_instance_of(String)
  end

  it 'should have a reusable seed' do
    expect(@user.seed).to be_instance_of(String)
  end
end
