require 'rubygems'
require 'simplecov'
require 'coveralls'
require 'codeclimate-test-reporter'
require 'webmock/rspec'
require 'support/fakerandomuser'

SimpleCov.start
Coveralls.wear!

WebMock.disable_net_connect!(allow: 'codeclimate.com')

CodeClimate::TestReporter.start

RSpec.configure do |config|
  config.order = 'random'
  config.before(:each) do
    stub_request(:get, /api.randomuser.me/).to_rack(FakeRandomUser)
  end
end
